;The leading semicolon represents a comment. If you want to edit the settings, delete the leading semicolon.
[otvdm]

; Enable visual style. (default: 0)
; Setting this to 1 will significantly affect compatibility.
;EnableVisualStyle=0

; Disable window theme. (defualt: 1)
; Setting this to 0 will affect compatibility a bit.
;DisableAero=1

; The path to redirected Windows directory. (default: .\WINDOWS)
;WINDIR=WINDOWS

; DOS version (default: 8.0)
;VDMDOSVER=x.x

; Windows version (default: 3.95)
;WINVER=3.1

; Don't report running under Windows NT. (default: 0, report running under Windows NT)
;IAmNotNT=1

; Separate taskbar icons among programs. (default: 2)
; 0: Don't separate
; 1: Separate for each otvdm.exe process
; 2: Separate
;SeparateTaskbar=2

; SeparateWOWVDM (default: 1)
;SeparateWOWVDM=1

; VM dll (default: vm86.dll software x86 emulator)
; vm86.dll: The slowest, most compatible, and most stable.

; haxmvm.dll: VM using a hypervisor
;  You must install intel HAXM driver.
;  https://software.intel.com/en-us/articles/intel-hardware-accelerated-execution-manager-intel-haxm
;  It is 100 times faster (in some cases) than the software CPU emulator.

; gvm.dll: KVM ported to Windows
; You must install https://github.com/google/android-emulator-hypervisor-driver-for-amd-processors/releases
; Works with both AMD and Intel.

; whpxvm.dll: VM using Windows Hypervisor Platform
;  HAXM, GVM cannot be installed if you are using WSL2, Hyper-V.
;  Windows Hypervisor Platform should be enabled.
;  Since whpxvm.dll is implemented by forcibly loading a 64-bit DLL into a 32-bit process,
;  it may not work depending on the version of Windows.
;  You must download the DLL from the following URL and place it in the dll directory.
;  https://github.com/otya128/WinHvPlatform32/releases/tag/1.1

; whpxvm.dll is the most stable of the hypervisors.

;vm=haxmvm.dll

; Fix the size of the screen to the value considering taskbar. (default: 0)
;FixScreenSize=1

; Enable registry redirection (default: 0)
; All registry operations are redirected to:
; HKEY_CURRENT_USER\Software\otvdm\HKEY_CLASSES_ROOT
; HKEY_CURRENT_USER\Software\otvdm\HKEY_CURRENT_USER
; HKEY_CURRENT_USER\Software\otvdm\HKEY_LOCAL_MACHINE
; If necessary, combine SETUP.REG on windows setup disk with 16-bit REGEDIT.
;EnableRegistryRedirection=1

; Limit the number of fonts. (some old programs can not process many fonts)
; (default: 0)
;EnumFontLimitation=1

; Tweak rendering of TrueType fonts.
; Forced font quality values: (default: -1)
;  -1: No forced quality        3: Non-antialiased
;   0: Default                  4: Antialiased
;   1: Draft                    5: ClearType
;   2: Proof
;ForceFontQuality=-1

; Enable font antialias (default: 0)
; If EnableFontAntialias is 1, it is equivalent to ForceFontQuality=3.
;EnableFontAntialias=0

; Improve XOR composition. (default: 0)
;DWMDesktopDCFix=1

;DWMDesktopDCFixBackgroundColorR=254
;DWMDesktopDCFixBackgroundColorG=254
;DWMDesktopDCFixBackgroundColorB=254

; Set application to launch MSDOS programs with
; Works with msdos player, dosbox (default: otvdm.exe)
;dosemu=msdos.exe

; Limit environment variable strings. (default: 1)
;EnvironmentVariableLimitation=1

; Force otvdm onto a single processor, programs that require tight sync
; between two processes can be more reliable (default: 0)
;ForceSingleProcessor=1

; Sleep for extra time in PeekMessage for programs that poll the message queue
; in a tight loop using all the available cpu time, wait time in milliseconds (default: 0)
;PeekMessageSleep=5

; Emulate 8bpp color mode using DIBs (default: 0)
;DIBPalette=0

; If EnumFontLimitation=1, this section declare the font to be enumerated.
;[EnumFontLimitation]
;font name=1(enumerated)/0(not enumerated)
;MS Serif=1
;Webdings=0

; Run a compatibility shim for elevated processes, requires full path to program if it isn't in %PATH%
; isfixload will shim installshield which calls sendmessagea(HWND_BROADCAST) which can hang if there
; is a process not servicing it's message queue
;ElevationShim=isfixload.exe

; Adjust the dpi for programs, especially visual basic, which use dpi for calculating
; font and window sizes but can get an integer overflow on large displays, can also
; make text larger in some cases
;AdjustDPI=120
